# Site param :: Hugo Relearn Theme
Get value of site params
Author: Sören Weber

# Site param

The `siteparam` shortcode prints values of site params.

## Usage

While the examples are using shortcodes with named parameter you are free to use positional aswell or call this shortcode from your own partials.

    {{% siteparam name="editURL" %}}

    {{% siteparam "editURL" %}}

    {{ partial "shortcodes/siteparam.html" (dict
      "context" .
      "name" "editURL"
    )}}

### Parameter

Name | Position | Default | Notes
--- | --- | --- | ---
name | 1 | <empty> | The name of the site param to be displayed.

## Examples

### `editURL` from `config.toml`

    `editURL` value: {{% siteparam name="editURL" %}}

`editURL` value: https://github.com/McShelby/hugo-theme-relearn/edit/main/exampleSite/content/